Bug 1710079 - Missing button to create Cluster Logging CR after initial install of Cluster Logging operator
Summary: Missing button to create Cluster Logging CR after initial install of Cluster...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.1.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.2.0
Assignee: Samuel Padgett
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On: 1709964
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-05-14 20:17 UTC by Samuel Padgett
Modified: 2019-10-16 06:28 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Preivously in some cases you would see a whitescreen with no error in the web console if trying to create an operator resource immediately after installing an operator through Operator Hub. We now show a clear message in the console if trying to create a resource before it is available.
Clone Of: 1709964
Environment:
Last Closed: 2019-10-16 06:28:42 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:2922 None None None 2019-10-16 06:28:57 UTC

Comment 1 Samuel Padgett 2019-05-28 13:18:12 UTC
We added a clear message instead of a white screen in

https://github.com/openshift/console/pull/1602

Comment 3 Yanping Zhang 2019-06-26 05:29:38 UTC
build: 4.2.0-0.nightly-2019-06-24-160709
console commit: 54fb3ee81a277b313798da833560acd6cb280790
Checked on ocp 4.2 env with above version. 
After install cluster logging operator, under "Installed Operator", find "Cluster Logging", click into it. 
Under "Cluster Logging" tab, there is info to indicate the resource status:
The server doesn't have a resource type ClusterLogging. Try refreshing the page if it was recently added.
After a while, ClusterLogging is added, and there is "Create Cluster Logging" button under "Cluster Logging" tab.

The bug has been fixed, so move it to Verified.

Comment 4 errata-xmlrpc 2019-10-16 06:28:42 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:2922


Note You need to log in before you can comment on or make changes to this bug.